Package org.apache.sling.scripting.sightly.js.impl.async

# Class TimingBindingsValuesProvider

java.lang.Object
org.apache.sling.scripting.sightly.js.impl.async.TimingBindingsValuesProvider

All Implemented Interfaces:
  `org.apache.sling.scripting.api.BindingsValuesProvider`

public final class TimingBindingsValuesProvider extends Object implements org.apache.sling.scripting.api.BindingsValuesProvider
Value provider for timing functions

## Field Summary

Fields
Modifier and Type
Field
Description
`static final TimingBindingsValuesProvider`
`INSTANCE`

### Fields inherited from interface org.apache.sling.scripting.api.BindingsValuesProvider

`CONTEXT, DEFAULT_CONTEXT`

## Method Summary

Modifier and Type
Method
Description
`void`
`addBindings(Bindings bindings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final TimingBindingsValuesProvider INSTANCE

## Method Details

### addBindings

public void addBindings(Bindings bindings)

Specified by:
  `addBindings` in interface `org.apache.sling.scripting.api.BindingsValuesProvider`